import type { Reducer } from 'redux';
import type { ThunkAction } from 'redux-thunk';
import type { RootState } from '.';
export declare enum ActionTypes {
    DeleteItem = "compass-saved-aggregations-queries/deleteItem",
    DeleteItemConfirm = "compass-saved-aggregations-queries/deleteItemConfirm",
    DeleteItemCancel = "compass-saved-aggregations-queries/deleteItemCancel"
}
declare type DeleteItemAction = {
    type: ActionTypes.DeleteItem;
    id: string;
};
declare type DeleteItemCancelAction = {
    type: ActionTypes.DeleteItemCancel;
};
declare type DeleteItemConfirmAction = {
    type: ActionTypes.DeleteItemConfirm;
    id: string;
};
export declare type Actions = DeleteItemAction | DeleteItemCancelAction | DeleteItemConfirmAction;
export declare type State = {
    id: string | null;
};
declare const reducer: Reducer<State, Actions>;
export declare const deleteItem: (id: string) => DeleteItemAction;
export declare const deleteItemCancel: () => DeleteItemCancelAction;
export declare const deleteItemConfirm: () => ThunkAction<Promise<void>, RootState, void, Actions>;
export default reducer;
//# sourceMappingURL=delete-item.d.ts.map